{
  "name": "prototype_drinker",
  "version": "1.0.0",
  "description": "",
  "main": "./dist/index.js",
  "scripts": {
    "prebuild": "tslint -c tslint.json -p tsconfig.json --fix",
    "build": "tsc",
    "prestart": "npm run build",
    "dev": "ts-node-dev -r dotenv/config ./src/index.ts",
    "watch": "concurrently -k -p \"[{name}]\" -n \"TypeScript\" -c \"green.bold\"  \"npm run dev\"",
    "start": "nodemon -r dotenv/config ./dist/index.js",
    "prod": "npm run build && npm run start",
    "test": "jest --coverage --verbose"
  },
  "keywords": [],
  "author": "",
  "license": "ISC",
  "jest": {
    "verbose": true,
    "transform": {
      "^.+\\.tsx?$": "ts-jest"
    },
    "testRegex": "(/__tests__/.*|(\\.|/)(test|spec))\\.(jsx?|tsx?)$",
    "moduleFileExtensions": [
      "ts",
      "tsx",
      "js",
      "jsx",
      "json",
      "node"
    ]
  },
  "dependencies": {
    "bcrypt": "^3.0.6",
    "body-parser": "^1.19.0",
    "cors": "^2.8.5",
    "envalid": "^5.0.0",
    "errorhandler": "^1.5.1",
    "express": "^4.17.1",
    "firebase-admin": "^8.8.0",
    "fs-extra": "^8.1.0",
    "jsonwebtoken": "^8.5.1",
    "mailgun-js": "^0.22.0",
    "moment": "^2.24.0",
    "mongoose": "^5.7.0",
    "passport": "^0.4.0",
    "passport-jwt": "^4.0.0",
    "passport-local": "^1.0.0",
    "request": "^2.88.0",
    "saslprep": "^1.0.3"
  },
  "devDependencies": {
    "@types/bcrypt": "^3.0.0",
    "@types/body-parser": "^1.17.1",
    "@types/cors": "^2.8.6",
    "@types/express": "^4.17.1",
    "@types/jest": "^24.0.18",
    "@types/jsonwebtoken": "^8.3.4",
    "@types/mailgun-js": "^0.22.3",
    "@types/moment": "^2.13.0",
    "@types/mongodb": "^3.3.6",
    "@types/mongoose": "^5.5.17",
    "@types/passport": "^1.0.1",
    "@types/passport-jwt": "^3.0.2",
    "@types/passport-local": "^1.0.33",
    "@types/request": "^2.48.3",
    "concurrently": "^4.1.2",
    "dotenv": "^8.1.0",
    "jest": "^24.9.0",
    "nodemon": "^1.19.2",
    "ts-jest": "^24.1.0",
    "ts-node": "^8.3.0",
    "ts-node-dev": "^1.0.0-pre.43",
    "tslint": "^5.20.0",
    "typescript": "^3.6.3"
  }
}
